Grammalecte  View Ticket

UUID: 6f81ca795445597ac1b774e2563370ef5e29ace9
Title/Titre: Erreur de chargement de l'extension
Status: Closed Type: Installation
Severity/Gravité: Critical Priority/Priorité: Immediate
Module: LibreOffice Resolution: Open
Modified/Modifié: 2018-11-05 15:56:05
Version(s): 6.5.0
Comments / Commentaires :
lbartoletti // 2018-09-14 14:21:48 : (text/x-fossil-wiki)
Bonjour,
Tout d'abord merci pour cette merveilleuse extension.
Je vous fait part d'un problème d'installation de grammalecte pour libreoffice (sur FreeBSD).

Il apparaît qu'il manque l'encoding utf-8 dans le fichier. J'ai tenté de l'inclure et de rebuilder, mais il est automatiquement supprimé après le make. Je n'ai pas eu le temps de comprendre pourquoi.

Par ailleurs, je profite de ce ticket pour vous indiquer quelques erreurs sur les shebangs. Il faudrait pour être portable qu'ils soient tous de la forme "#!/usr/bin/env python3".

En vous remerciant par avance.

olr // 2018-09-14 16:10:13 : (text/x-fossil-plain)
Dans Python 3, le codage par défaut est toujours l’UTF-8. Il n’est donc pas nécessaire de le préciser. Seul Python 2 a besoin que l’encoding soit spécifié. Or, Grammalecte ne fonctionne qu’à partir de Python 3.3. Autrement dit, il est probable que le Python associé associé à votre LO ne soit pas la bonne version.

olr // 2018-11-05 15:56:05 : (text/x-fossil-plain)
Sans réponse de votre part, je clos.